## ros-kinetic-cob-control-mode-adapter 0.7.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_control_mode_adapter)

find_package(catkin REQUIRED COMPONENTS controller_manager_msgs roscpp roslint std_msgs)

find_package(Boost REQUIRED COMPONENTS thread)

catkin_package(
  CATKIN_DEPENDS controller_manager_msgs roscpp std_msgs
)

### BUILD ###
include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_executable(${PROJECT_NAME}_node src/${PROJECT_NAME}_node.cpp)
add_dependencies(${PROJECT_NAME}_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_node ${catkin_LIBRARIES} ${Boost_LIBRARIES})

roslint_cpp()

### INSTALL ###
install(TARGETS ${PROJECT_NAME}_node
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-control-mode-adapter (0.7.13-2xenial) xenial; urgency=high

  * Merge pull request #246 <https://github.com/ipa320/cob_control/issues/246> from fmessmer/fix_catkin_lint_kinetic
    [kinetic] fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.12-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.11-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Mar 2020 23:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.10-2xenial) xenial; urgency=high

  * Merge pull request #225 <https://github.com/ipa320/cob_control/issues/225> from fmessmer/ci_updates_kinetic
    [travis] ci updates - kinetic
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.9-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.8-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.7-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.6-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.5-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.4-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.3-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.2-2xenial) xenial; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.1-2xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/kinetic_release_candidate' into kinetic_dev
  * Merge pull request #169 <https://github.com/ipa320/cob_control/issues/169> from ipa-fxm/kinetic_updates_indigo
    Kinetic updates indigo
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_control into kinetic_dev
    Conflicts:
    .travis.yml
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.7.0-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.15-2xenial) xenial; urgency=high

  * Merge pull request #122 <https://github.com/ipa320/cob_control/issues/122> from ipa-fxm/indigo_roslint
    roslint some packages
  * update date
  * starting to roslint some packages
  * manually fix changelog
  * added params for mode switching controllers
  * Contributors: Felix Messmer, Mathias Lüdtke, Nadia Hammoudeh García, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.14-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.13-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.12-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.11-2xenial) xenial; urgency=high

  * remove support for interpol_position controller
  * fix mode adapter shutdown
  * fix typo
  * add joint_group_interpol_position_controller to control_mode_adapter
  * Contributors: Marco Bezzon, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.10-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.9-2xenial) xenial; urgency=high

  * more dependency fixes according to review comments
  * explicit dependency to boost
  * more fixes for migration afer merge
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * review dependencies
  * code styling cob_control_mode_adapter
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.8-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.7-2xenial) xenial; urgency=high

  * beautify CMakeLists
  * reduce output
  * check which controllers are available
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.6-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 17 Dec 2014 23:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.5-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 17 Dec 2014 23:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.4-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 15 Dec 2014 23:00:00 -0000

ros-kinetic-cob-control-mode-adapter (0.6.3-2xenial) xenial; urgency=high





=== debian/control ===
Source: ros-kinetic-cob-control-mode-adapter
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin, ros-kinetic-controller-manager-msgs, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cob-control-mode-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-controller-manager-msgs, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-std-msgs
Description: The cob_control_mode_adapter package provides a node that automatically loads respective ros_controllers depending on required control mode.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-control-mode-adapter//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
